<!-- //////////////////////START-REGITER-LIST////////////////////////////// -->
<div class="card">
    <div class="card-header">
        <h2>Listado de Estados de Registros</h2>
        <br><br>
        <form role="form" method="post">
            <div class="row">
                <div class="col-lg-6 col-md-6 col-sm-6 col-sx-6 m-t-10">
                    <div class="input-group">
                        <span class="input-group-addon"><i class="zmdi zmdi-account-box"></i></span>
                        <div class="fg-line">										
                            <input type="text" class="typeclients form-control" id="clientes" value="{{params.clientes}}" name="clientes" placeholder="CLIENTE...">
                        </div>
                    </div>
                </div>
                <div class="col-lg-6 col-md-6 col-sm-6 col-sx-6 m-t-10">
                    <div class="input-group">
                        <span class="input-group-addon"><i class="zmdi zmdi-collection-item-1"></i></span>
                        <div class="fg-line">										
                            <input type="text" class="form-control" name="numeroventa" id="numeroventa" value="{{params.numeroventa}}" placeholder="# Venta">
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-lg-6 col-md-6 col-sm-6 col-sx-6 m-t-10">
                    <div class="input-group">
                        <span class="input-group-addon"><i class="zmdi zmdi-account"></i></span>
                        <div class="fg-line">										
                            <input type="text" id="usuarios" name="usuarios" value="{{params.usuarios}}" class="typeusersoppotunity form-control" placeholder="Usuario...">
                        </div>
                    </div>
                </div>
                <div class="col-lg-6 col-md-6 col-sm-6 col-sx-6 m-t-10">
                    <div class="input-group">
                        <span class="input-group-addon"><i class="zmdi zmdi-collection-item-1"></i></span>
                        <div class="fg-line">										
                            <input type="text" class="form-control" name="serialcontrato" id="serialcontrato" value="{{params.serialcontrato}}" placeholder="# Serial o Contrato">
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-lg-6 col-md-6 col-sm-6 col-sx-6 m-t-10">
                    <div class="input-group">
                        <span class="input-group-addon"><i class="zmdi zmdi-calendar"></i></span>
                        <div class="fg-line">										
                            <input type="text" class="date-picker-all form-control" value="{{params.fechadesde}}" name="fechadesde" id="fechadesde" placeholder="Fecha desde">
                        </div>
                    </div>
                </div>
                <div class="col-lg-6 col-md-6 col-sm-6 col-sx-6 m-t-10">
                    <div class="input-group">
                        <span class="input-group-addon"><i class="zmdi zmdi-calendar"></i></span>
                        <div class="fg-line">										
                            <input type="text"  value="{{params.fechahasta}}" class="date-picker-all form-control" name="fechahasta" id="fechahasta" placeholder="Fecha hasta">
                        </div>
                    </div>
                </div>
            </div>
                     
            <div class="row">
                <div class="col-sm-12 text-right">
                    <input type="hidden" name="_METHOD" value="GET"/>
                    <button type="submit" class="btn btn-primary btn-lg m-t-10"><i class="zmdi zmdi-search"></i> Buscar</button>
                </div>									
                <div class="col-sm-6">
                </div>	
                <div class="col-sm-6 text-right">
                    <button class="btn palette-Green bg m-t-25"><i class="zmdi zmdi-download"></i> Descargar Listado</button>
                </div>									
            </div>

        </form>
    </div>

    <!-- ////// --> 
    {% for sale in sales %}
        <div class="m-15 p-t-15 p-l-15 p-r-15" style="border:1px solid #ccc;">
            <div class="row">
                <div class="col-lg-6 col-md-6 col-sm-6 col-sx-6">
                    <a href="../venta/editar/{{ sale.opportunity_id }}" class="f-18">Venta # {{ sale.opportunity_salenumber }}</a>
                </div>
                <div class="col-lg-6 col-md-6 col-sm-6 col-sx-6 text-right">
                    <p class="c-lime">Fecha registro {{ sale.opportunity_date }} - {{ sale.opportunity_user }}</p>
                </div>	

                <div class="col-lg-6 col-md-6 col-sm-6 col-sx-12">
                    Cliente<br /><span class="f-18 c-green">{{ sale.opportunity_client }}</span>
                </div>
                <div class="col-lg-3 col-md-3 col-sm-3 col-sx-12">
                    Marca<br /><span class="f-18 c-green">{{ sale.brand_name }}</span>
                </div>	
                <div class="col-lg-3 col-md-3 col-sm-3 col-sx-12">
                    Total<br /><span class="f-18 c-green"><strong>usd${{ sale.opportunity_total|number_format(2, ',', '.') }}</strong></span>
                </div>	

                <div class="col-lg-12 col-md-12 col-sm-12 col-sx-12  m-t-15" style="border-top:1px solid #ccc;">
                    <div class="row p-t-15">
                        <div class="col-lg-2 col-md-2 col-sm-4 col-sx-4">
                            <strong>Producto</strong>
                        </div>
                        <div class="col-lg-2 col-md-2 col-sm-4 col-sx-4">
                            <strong>Cant. / Precio</strong>
                        </div>
                        <div class="col-lg-2 col-md-2 col-sm-4 col-sx-4">
                            <strong>Serial / Contrato</strong>
                        </div>
                        <div class="col-lg-2 col-md-2 col-sm-4 col-sx-4">
                            <strong>Fecha Vencimiento</strong>
                        </div>
                        <div class="col-lg-2 col-md-2 col-sm-4 col-sx-4">
                            <strong>Fecha Registro</strong>
                        </div>
                        <div class="col-lg-2 col-md-2 col-sm-4 col-sx-4">
                            <strong>Estado</strong>
                        </div>
                    </div>
                </div>

                {% for detail in sale.opportunity_details %}
                    <div class="col-lg-12 col-md-12 col-sm-12 col-sx-12  p-b-15" style="border-top:1px solid #ccc; {% if detail.odf!=0 %} border-left:10px solid #ccc; {% endif %}">
                        <div class="row p-t-15">
                            <div class="col-lg-2 col-md-2 col-sm-4 col-sx-4">
                                {{ detail.product }}
                            </div>
                            <div class="col-lg-2 col-md-2 col-sm-4 col-sx-4">
                                {{ detail.qty }}
                                <br />
                                {{ detail.currency }}{{ detail.price|number_format(2, ',', '.') }}
                                <br />
                                <strong>{{ detail.currency }}{{ (detail.price*detail.qty)|number_format(2, ',', '.') }}</strong>
                            </div>
                            <div class="col-lg-2 col-md-2 col-sm-4 col-sx-4">
							{% if detail.sku == "FTNT-COT" %}
								<div>
									<a href="javascript:;" onclick="javascript:$('#serialesItems{{detail.id_detail}}').fadeIn();">Ver seriales</a>
								</div>
								
								<div id="serialesItems{{detail.id_detail}}" style="position:absolute; min-width:300px; top:0; z-index:9999999999; left:0; background:#fff; padding:20px; border:1px solid #ccc; display:none;">
									<div class="text-right" style="padding-bottom:10px;">
										<a href="javascript:;" onclick="javascript:$('#serialesItems{{detail.id_detail}}').hide();" style="color:#ff0000;">[Cerrar X]</a>
									</div>
									{% for key, serial in sale.details_serials %}
										{% if key == detail.id_detail %}
											{% for s in serial %}
												{% if detail.odf!=0 and s.type=="Serial"%}
													<!-- No imprime -->
												{% else %}
													<div style="margin-bottom:5px; box-sizing:border-box; {% if s.scfid!=0 %} padding-left:20px; border-left:10px solid #fff;{% else %} font-weight:900; {% endif %} padding:7px; background:#f4f4f4; overflow:hidden;  white-space: nowrap; width:100%" title="{{ s.type }}# {{ s.number }}">
														{{ s.type[:1] }}# {{ s.number }}
													</div>
												{% endif %}
											{% endfor %}
										{% endif %}
									{% endfor %}
								
								</div>
							{% else %}
							
                                {% for key, serial in sale.details_serials %}
                                    {% if key == detail.id_detail %}
                                        {% for s in serial %}
                                            {% if detail.odf!=0 and s.type=="Serial"%}
                                                <!-- No imprime -->
                                            {% else %}
                                                <div style="margin-bottom:10px; box-sizing:border-box; {% if s.scfid!=0 %} padding-left:20px; border-left:10px solid #fff;{% else %} font-weight:900; {% endif %} padding:7px; background:#f4f4f4; overflow:hidden;  white-space: nowrap; width:100%" title="{{ s.type }}# {{ s.number }}">
                                                    {{ s.type[:1] }}# {{ s.number }}
                                                </div>
                                            {% endif %}
                                        {% endfor %}
                                    {% endif %}
                                {% endfor %}
								
							{% endif %}
                            </div>
                            <div class="col-lg-2 col-md-2 col-sm-4 col-sx-4">
                            {% if detail.sku == "FTNT-COT" %}
							 - 0 -
							{% else %}   
							   {% for key, serial in sale.details_serials %}
                                    {% if key == detail.id_detail %}
                                        {% for s in serial %}
                                            {% if detail.odf!=0 and s.type=="Serial"%}
                                                <!-- No imprime -->
                                            {% else %}
                                                <div style="margin-bottom:10px; padding:7px; background:#f4f4f4; width:100%">
                                                    {% if s.enddate == '' %}
                                                        <b>- 0 -</b>
                                                    {% else %}
                                                        <b>{{ s.enddate }}</b>
                                                    {% endif %}	
                                                </div>
                                            {% endif %}	
                                        {% endfor %}
                                    {% endif %}
                                {% endfor %}
								
                            {% endif %}
							</div>
                            <div class="col-lg-2 col-md-2 col-sm-4 col-sx-4">
                            {% if detail.sku == "FTNT-COT" %}
							 - 0 -
							{% else %} 
							
								{% for key, serial in sale.details_serials %}
                                    {% if key == detail.id_detail %}
                                        {% for s in serial %}
                                            {% if detail.odf!=0 and s.type=="Serial"%}
                                                <!-- No imprime -->
                                            {% else %}
                                                <div style="margin-bottom:10px; padding:7px; background:#f4f4f4; width:100%">
                                                    {% if s.date == '' and s.limitdate != '' %}
                                                        <i>Límite {{s.limitdate}}</i>
                                                    {% else %}
                                                        {% if s.date == '' %}
                                                            <b>- 0 -</b>
                                                        {% else %}
                                                            <b>{{ s.date }}</b>
                                                        {% endif %}	
                                                    {% endif %}						
                                                </div>
                                            {% endif %}	
                                        {% endfor %}
                                    {% endif %}
                                {% endfor %}
								
							{% endif %}
                            </div>
                            <div class="col-lg-2 col-md-2 col-sm-4 col-sx-4">
							{% if detail.sku == "FTNT-COT" %}
							 - 0 -
							{% else %} 
							
                                {% for key, serial in sale.details_serials %}
                                    {% if key == detail.id_detail %}
                                        {% for s in serial %}
                                            {% if detail.odf!=0 and s.type=="Serial"%}
                                                <!-- No imprime -->
                                            {% else %}
                                                <div style="padding-bottom:12px; width:100%">
                                                    {% if s.register == 1 %}
                                                        <div class="c-green" style="padding:7px 0 0 0;">Registrado</div>
                                                    {% else %}
                                                        <a class="btn palette-Red bg waves-effect register-sc" data-value="{{s.number}}" data-toggle="modal" href="#modalDefault" data-id="{{s.sc_id}}">Registrar</a>
                                                    {% endif %}
                                                </div>
                                            {% endif %}	
                                        {% endfor %}
                                    {% endif %}
                                {% endfor %}
							
							{% endif %}
                            </div>
                        </div>
                    </div>
                {% endfor %}
            </div>
        </div>
    {% endfor %}

    <!-- ////// --> 

    <br>
</div>

<!-- Modal Default -->
<div class="modal fade" id="modalDefault" tabindex="-1" role="dialog" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title">Registro Serial/Contrato <span id="number_sc"></span></h4>
            </div>
            <div class="modal-body">
                <form role="form" id="form-creg">
                    <div class="row">
                        <div class="col-lg-12 col-md-12 col-sm-12 col-sx-12">
                            <div class="input-group">
                                <span class="input-group-addon"><i class="zmdi zmdi-calendar"></i></span>
                                <div class="fg-line">
                                    <input class="form-control date-picker-all" placeholder="Fecha de Registro" name="expiration_date_date" id="expiration_date_date" required type="text">
                                </div>
                            </div>	
                        </div>

                        <div class="col-lg-12 col-md-12 col-sm-12 col-sx-12">
                            <div class="input-group">
                                <span class="input-group-addon"><i class="zmdi zmdi-calendar"></i></span>
                                <div class="fg-line">
                                    <input class="form-control date-picker-all" placeholder="Fecha de Vencimiento" name="expiration_date_enddate" id="expiration_date_enddate" required type="text">
                                </div>
                            </div>	
                        </div>

                        <div class="col-lg-12 col-md-12 col-sm-12 col-sx-12 m-t-25 text-right">
                            <input type="hidden" id="id_detail" name="id_detail" />
                            <input type="hidden" id="estados" name="estados" value="1" />
                            <button type="button" class="btn btn-primary b-estado-reg"><i class="zmdi zmdi-check"></i> Guardar</button>
                        </div>
                    </div>
                </form>
            </div>			
            <div class="modal-footer m-t-15">
                <button type="button" class="btn btn-link" data-dismiss="modal">Cerrar</button>
            </div>
        </div>
    </div>
</div>
<!-- //////////////////////END-REGITER-LIST////////////////////////////// -->
